# HG changeset patch
# User Gurkenglas
# Date 1270058219 -7200
# Node ID f07406e3d237621c4689695fce2e8ef52a77971d
# Parent  6367a0334df410b20190060be25a09a7ec98dc0b
Parametervertauschung korrigiert
DE-Übersetzung für Rules.c4d/MicroMelee.c4d
Sachen wie if(a)b()&&c(); durch if(a){b();c();} ersetzt
weitere kleine Fehler korrigiert
mithilfe von c4dt (Eclipse-Plugin "Clonk 4 Development Tools")

diff -r 6367a0334df4 -r f07406e3d237 planet/Objects.c4d/Animals.c4d/Wolf.c4d/Script.c
--- a/planet/Objects.c4d/Animals.c4d/Wolf.c4d/Script.c	Wed Mar 31 18:43:39 2010 +0200
+++ b/planet/Objects.c4d/Animals.c4d/Wolf.c4d/Script.c	Wed Mar 31 19:56:59 2010 +0200
@@ -114,28 +114,28 @@
 {
 	// Move command
 	if (szCommand == "MoveTo")
-		return SetCommand(this(),szCommand, pTarget, iTx, iTy);
+		return this()->SetCommand(szCommand, pTarget, iTx, iTy);
 	return 0;
 }
 
 protected func ContainedLeft(object caller)
 {
 	[$TxtMovement$]
-	SetCommand(this(), "None");
+	this()->SetCommand("None");
 	return 1;
 }
 
 protected func ContainedRight(object caller)
 {
 	[$TxtMovement$]
-	SetCommand(this(), "None");
+	this()->SetCommand("None");
 	return 1;
 }
 
 protected func ContainedUp(object caller)
 {
 	[$TxtMovement$]
-	SetCommand(this(), "None");
+	this()->SetCommand("None");
 	
 	if (GetAction() == "Swim")
 	{
@@ -149,8 +149,8 @@
 protected func ContainedDown(object caller)
 {
 	[$TxtMovement$]
-	SetCommand(this(), "None");
-	if(Contained()) SetCommand(this, "Exit");
+	this()->SetCommand("None");
+	if(Contained()) this()->SetCommand("Exit");
 	if (GetAction() == "Swim")
 	{
 		return 1;
diff -r 6367a0334df4 -r f07406e3d237 planet/Objects.c4d/Environment.c4d/Clouds.c4d/Cloud.c4d/Script.c
--- a/planet/Objects.c4d/Environment.c4d/Clouds.c4d/Cloud.c4d/Script.c	Wed Mar 31 18:43:39 2010 +0200
+++ b/planet/Objects.c4d/Environment.c4d/Clouds.c4d/Cloud.c4d/Script.c	Wed Mar 31 19:56:59 2010 +0200
@@ -95,11 +95,13 @@
 	if(GetMaterial(0, iSearchY) != Material("Water") && GetMaterial(0, iSearchY) != Material("Acid") && GetMaterial(0, iSearchY) != Material("Sky")) return(iSearchY=0);
 	if(GetMaterial(0, iSearchY) == Material("Water")) 
 	{
-		ExtractMaterialAmount(0, iSearchY,Material("Water"), 3) &&
-		(iSize = iSize+3);
+		ExtractMaterialAmount(0, iSearchY,Material("Water"), 3);
+		iSize = iSize+3;
 	}
-	if(ObjectCount(Find_ID(Environment_AcidRain))>=1 && GetMaterial(0, iSearchY) == Material("Acid")) ExtractMaterialAmount(0, iSearchY,Material("Acid"), 3) &&
-		(iAcidity = iAcidity+3);
+	if(ObjectCount(Find_ID(Environment_AcidRain))>=1 && GetMaterial(0, iSearchY) == Material("Acid")) {
+		ExtractMaterialAmount(0, iSearchY,Material("Acid"), 3);
+		iAcidity = iAcidity+3;
+	}
 	if(GetMaterial(0, iSearchY) != Material("Water") && GetMaterial(0, iSearchY) != Material("Acid"))
 		iSearchY = iSearchY + iPrecision;
 	if(iSearchY >= LandscapeHeight()-GetY()) (iSearchY = 0);
diff -r 6367a0334df4 -r f07406e3d237 planet/Objects.c4d/Environment.c4d/Clouds.c4d/Script.c
--- a/planet/Objects.c4d/Environment.c4d/Clouds.c4d/Script.c	Wed Mar 31 18:43:39 2010 +0200
+++ b/planet/Objects.c4d/Environment.c4d/Clouds.c4d/Script.c	Wed Mar 31 19:56:59 2010 +0200
@@ -27,7 +27,10 @@
 
 	while(iCount!=0)
 	{
-		if(FindPosInMat(iX, iY, "Sky", 0,0,LandscapeWidth(), LandscapeHeight()) && MaterialDepthCheck(iX,iY,"Sky",200)==true) CreateObject(Cloud, iX, iY, NO_OWNER) && (iCount=--iCount);
+		if(FindPosInMat(iX, iY, "Sky", 0,0,LandscapeWidth(), LandscapeHeight()) && MaterialDepthCheck(iX,iY,"Sky",200)==true) {
+			CreateObject(Cloud, iX, iY, NO_OWNER);
+			iCount=--iCount;
+		}
 	}
 	AdjustLightningFrequency(GetScenarioVal("Lightning"));
 }
diff -r 6367a0334df4 -r f07406e3d237 planet/Objects.c4d/HUD.c4d/Elements.c4d/CrewSelector.c4d/Script.c
--- a/planet/Objects.c4d/HUD.c4d/Elements.c4d/CrewSelector.c4d/Script.c	Wed Mar 31 18:43:39 2010 +0200
+++ b/planet/Objects.c4d/HUD.c4d/Elements.c4d/CrewSelector.c4d/Script.c	Wed Mar 31 19:56:59 2010 +0200
@@ -75,7 +75,7 @@
 {
 	if(!crew) return false;
 	if(plr != GetOwner()) return false;
-	if(!(crew->GetCrewEnabled())) false;
+	if(!(crew->GetCrewEnabled())) return false;
 	
 	// stop previously selected crew
 	StopSelected();
diff -r 6367a0334df4 -r f07406e3d237 planet/Objects.c4d/HUD.c4d/Ringmenu.c4d/Menupoint.c4d/DefCore.txt
--- a/planet/Objects.c4d/HUD.c4d/Ringmenu.c4d/Menupoint.c4d/DefCore.txt	Wed Mar 31 18:43:39 2010 +0200
+++ b/planet/Objects.c4d/HUD.c4d/Ringmenu.c4d/Menupoint.c4d/DefCore.txt	Wed Mar 31 19:56:59 2010 +0200
@@ -6,4 +6,4 @@
 Height=64
 Offset=-32,-32
 StretchGrowth=1
-Rotate=1;
\ No newline at end of file
+Rotate=1
\ No newline at end of file
diff -r 6367a0334df4 -r f07406e3d237 planet/Objects.c4d/Items.c4d/Resources.c4d/Gold.c4d/Script.c
--- a/planet/Objects.c4d/Items.c4d/Resources.c4d/Gold.c4d/Script.c	Wed Mar 31 18:43:39 2010 +0200
+++ b/planet/Objects.c4d/Items.c4d/Resources.c4d/Gold.c4d/Script.c	Wed Mar 31 19:56:59 2010 +0200
@@ -7,7 +7,7 @@
 		SetGraphics(Format("%d",graphic));
 }
 
-protected func Hit()
+protected func Hit()
 {
 	Sound("RockHit*");
 	return 1;
diff -r 6367a0334df4 -r f07406e3d237 planet/Objects.c4d/Items.c4d/Tools.c4d/Barrel.c4d/Script.c
--- a/planet/Objects.c4d/Items.c4d/Tools.c4d/Barrel.c4d/Script.c	Wed Mar 31 18:43:39 2010 +0200
+++ b/planet/Objects.c4d/Items.c4d/Tools.c4d/Barrel.c4d/Script.c	Wed Mar 31 19:56:59 2010 +0200
@@ -34,8 +34,11 @@
 	if(GetMaterial(0,iSource)== Material("Water") && Closed==false) FillBarrel("Water");
 	//if(GetMaterial(0,iSource)== Material("Oil") && Closed==false) FillBarrel("Oil"); //No oil material in current build -Ringwaul/Dec10
 
-	if(iVolume==0) SetGraphics() && szLiquid=nil;
-
+	if(iVolume==0) {
+		SetGraphics();
+		szLiquid=nil;
+	}
+	
 	//Debug/Testing Purposes
 	if(debug == 1) Message("Volume:|%d|Liquid:|%s", this(), iVolume, szLiquid);
 }
diff -r 6367a0334df4 -r f07406e3d237 planet/Objects.c4d/Libraries.c4d/ClonkControl.c4d/Script.c
--- a/planet/Objects.c4d/Libraries.c4d/ClonkControl.c4d/Script.c	Wed Mar 31 18:43:39 2010 +0200
+++ b/planet/Objects.c4d/Libraries.c4d/ClonkControl.c4d/Script.c	Wed Mar 31 19:56:59 2010 +0200
@@ -192,7 +192,7 @@
 
 public func Collect(object item, bool ignoreOCF, int pos)
 {
-	if (pos == nil) return _inherited(item,ignoreOCF);
+	if (pos == nil) return _inherited(item);
 	// fail if the specified slot is full
 	if (GetItem(pos) != nil) return false;
 	if (!item) return false;
diff -r 6367a0334df4 -r f07406e3d237 planet/Objects.c4d/Libraries.c4d/ContextMenu.c4d/Script.c
--- a/planet/Objects.c4d/Libraries.c4d/ContextMenu.c4d/Script.c	Wed Mar 31 18:43:39 2010 +0200
+++ b/planet/Objects.c4d/Libraries.c4d/ContextMenu.c4d/Script.c	Wed Mar 31 19:56:59 2010 +0200
@@ -43,7 +43,7 @@
 	[$TxtEnergysupply$|Image=CXEC|Condition=AtEnergySite]
 	var pSite; 
 	if (pSite = FindEnergySite())
-		SetCommand(this, "Energy", pSite);
+		SetCommand("Energy", this, pSite);
 	return 1;
 }
 
@@ -92,8 +92,8 @@
 public func HasConstructMenu() { return HasKnowledge() && GetPhysical("CanConstruct"); }
 public func HasKnowledge() { return GetPlrKnowledge(GetOwner(),nil,0,C4D_Structure); }
 public func HasBase()      { return FindBase(GetOwner()) && Contained()->GetBase() != GetOwner(); }
-public func ReleaseAllowed() { return ObjectCount(C4Id("REAC")); }
-public func AtConstructionSite() { return !Contained() && FindConstructionSite() && ObjectCount(C4Id("CNMT")); }
+public func ReleaseAllowed() { return ObjectCount(Find_ID(C4Id("REAC"))); }
+public func AtConstructionSite() { return !Contained() && FindConstructionSite() && ObjectCount(Find_ID(C4Id("CNMT"))); }
 public func AtEnergySite() { return !Contained() && FindEnergySite(); }
 public func AtTreeToChop() { return !Contained() && FindTree() && GetPhysical("CanChop"); }
 
diff -r 6367a0334df4 -r f07406e3d237 planet/Objects.c4d/Rules.c4d/MicroMelee.c4d/StringTblDE.txt
--- a/planet/Objects.c4d/Rules.c4d/MicroMelee.c4d/StringTblDE.txt	Wed Mar 31 18:43:39 2010 +0200
+++ b/planet/Objects.c4d/Rules.c4d/MicroMelee.c4d/StringTblDE.txt	Wed Mar 31 19:56:59 2010 +0200
@@ -1,1 +1,10 @@
-Name=Mikro Melee
\ No newline at end of file
+Name=Mikro Melee
+
+MsgKill=%s wurde von %s gekillt, und hat
+MsgSelfKill=%s ist gestorben, und hat
+MsgTeamKill=%s wurde von seinem Teamkamerad %s gekillt, und hat
+
+MsgRelaunch0=keinen Relaunch übrig.
+MsgRelaunch1=einen Relaunch übrig.
+MsgRelaunchX=%d Relaunches übrig.
+MsgFail=verloren.
\ No newline at end of file
diff -r 6367a0334df4 -r f07406e3d237 planet/Objects.c4d/Vehicles.c4d/Lorry.c4d/Script.c
--- a/planet/Objects.c4d/Vehicles.c4d/Lorry.c4d/Script.c	Wed Mar 31 18:43:39 2010 +0200
+++ b/planet/Objects.c4d/Vehicles.c4d/Lorry.c4d/Script.c	Wed Mar 31 19:56:59 2010 +0200
@@ -82,7 +82,7 @@
 {
 	if(ContentsCount() < MaxContents()) { Sound("Clonk"); return 0; }
 	if(pObj->Contained()) return Message("$TxtLorryisfull$", this);
-	if(Abs(GetXDir(pObj))>6) SetYDir(-5,pObj);
+	if(Abs(pObj->GetXDir())>6) pObj->SetYDir(-5);
 	Sound("WoodHit*");
 	return 1;
 }
diff -r 6367a0334df4 -r f07406e3d237 planet/System.c4g/Commits.c
--- a/planet/System.c4g/Commits.c	Wed Mar 31 18:43:39 2010 +0200
+++ b/planet/System.c4g/Commits.c	Wed Mar 31 19:56:59 2010 +0200
@@ -109,7 +109,7 @@
 // Checks whether the indicated definition is available.
 global func FindDefinition(id def)
 {
-	if (GetDefCoreVal("id", "DefCore", def)) 
+	if (def->GetDefCoreVal("id", "DefCore")) 
 		return true;
 	return false;
 }
@@ -121,7 +121,7 @@
 	var i, j;
 	var rndx, rndy, obj;
 	var mtype, mat;
-	var func, objhgt = GetDefCoreVal("Height", "DefCore", id);
+	var func, objhgt = id->GetDefCoreVal("Height", "DefCore");
 	
 	mat = Material(mat_str);
 	// Some failsavety.
diff -r 6367a0334df4 -r f07406e3d237 planet/Tests.c4f/Clonk50.c4s/Clonk.c4d/DefCore.txt
--- a/planet/Tests.c4f/Clonk50.c4s/Clonk.c4d/DefCore.txt	Wed Mar 31 18:43:39 2010 +0200
+++ b/planet/Tests.c4f/Clonk50.c4s/Clonk.c4d/DefCore.txt	Wed Mar 31 19:56:59 2010 +0200
@@ -38,7 +38,7 @@
 Dig=20000
 Swim=30000
 Throw=25000
-Push=200s00
+Push=20000
 Fight=25000
 CanDig=1
 CanConstruct=1
